/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Actualimperia;

import java.util.Date;
import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface ActualimperiaFacadeLocal {

    void create(Actualimperia actualimperia);

    void edit(Actualimperia actualimperia);

    void remove(Actualimperia actualimperia);

    Actualimperia find(Object id);

    List<Actualimperia> findAll();

    List<Actualimperia> findRange(int[] range);

    int count();

    void executaProcedimiento(String consultorCodigo, Date fechaInicio, Date fechaFin);

    Actualimperia puntosAnuales(String consultorCodigo, String programa, String fechaInicio, String fechaFin);

    Actualimperia Puntos(String consultorCodigo, String programa, String fechaInicio, String fechaFin);

}
